#include "hunter_prey.h"
#include <dragonfly_lib.h>

#define TAG_TIME 3
#define TAG_RANGE 200

/**** This file should not be edited! ****/


/*
 * The criteria for tagging are the following:
 *   * The max bom is betweed 1 and 7
 *   * The front rangefinder reads less than TAG_RANGE
 *   * -1 values from the rangefinder are ignored
 *   * These conditions are met across TAG_TIME calls to this function
 */

unsigned char hunter_prey_tagged(int max_bom, int frontRange) {

  static int onTarget = 0;

  if(max_bom < 7 && max_bom > 1 && frontRange > 0 && frontRange < TAG_RANGE) {
    if(onTarget == 0) {
      onTarget = TAG_TIME;
      usb_puts("On target!\n");
    }
    else {
      if(--onTarget <= 0) {
	onTarget = 0;
	usb_puts("TAG!\n");
	return 1;
      }
    }
  }
  else{
    //don't reset onTarget because the robot got too close
    if(frontRange > 0)
      onTarget = 0;
  }

  return 0;

}
